#include <iostream>
#include <string>
#include <math.h>

using namespace std;

int brojCifara(long long x) {
	int i=0;
	while (x / 10 != 0) {
		x = x / 10;
		i++;
	}
	return i;
}

long long stepen(long long a, long long b) {
	if (b == 0)
		return 1;
	long long res = stepen(a, b / 2);
	if (b % 2)
		return res * res * a;
	else
		return res * res;
}

int main() {
	long long A, B, C, pom1, pom2, pom3;
	int r1=0, r2=0, r3=0;
	int brojCifaraA, brojCifaraB, brojCifaraC;
	int prvaCifraA, prvaCifraB, prvaCifraC;
	cin >> A >> B >> C;
	brojCifaraA = brojCifara(A);
	brojCifaraB = brojCifara(B);
	brojCifaraC = brojCifara(C);
	pom1 = A;
	pom2 = B;
	pom3 = C;
	prvaCifraA = A / stepen(10, brojCifaraA);
	prvaCifraB = B / stepen(10, brojCifaraB);
	prvaCifraC = C / stepen(10, brojCifaraC);
	while (r1 == 0) {
		if (prvaCifraA > prvaCifraB && prvaCifraA > prvaCifraC) r1 = pom1; 
		else if (prvaCifraB > prvaCifraC && prvaCifraB > prvaCifraA) r1 = pom2;
		else if (prvaCifraC > prvaCifraA && prvaCifraC > prvaCifraB) r1 = pom3; 
		brojCifaraA--;
		brojCifaraB--;
		brojCifaraC--;
		A = A % 10;
		B = B % 10;
		C = C % 10;
		if (brojCifaraA == 0) prvaCifraA = -1;
		else prvaCifraA = A / stepen(10, brojCifaraA);
		if (brojCifaraB == 0) prvaCifraB = -1;
		else prvaCifraB = B / stepen(10, brojCifaraB);
		if (brojCifaraC == 0) prvaCifraC = -1;
		else prvaCifraC = C / stepen(10, brojCifaraC);
		if (prvaCifraA==-1 && prvaCifraB==-1 && prvaCifraC==-1) r1 = pom1;
	}
	if(r1==pom1)
		while (r2 == 0) {
			if (prvaCifraB > prvaCifraC) r2 = pom2;
			else if (prvaCifraC > prvaCifraB) r2 = pom3;
			brojCifaraB--;
			brojCifaraC--;
			B = B % 10;
			C = C % 10;
			if (brojCifaraB <= 0) prvaCifraB = -1;
			else prvaCifraB = B / stepen(10, brojCifaraB);
			if (brojCifaraC <= 0) prvaCifraC = -1;
			else prvaCifraC = C / stepen(10, brojCifaraC);
			if (prvaCifraB == -1 && prvaCifraC == -1) r2 = pom2;
		}
	else if(r1==pom2)
		while (r2 == 0) {
			if (prvaCifraA > prvaCifraC) r2 = pom1; 
			else if (prvaCifraC > prvaCifraA) r2 = pom3; 
			brojCifaraA--;
			brojCifaraC--;
			A = A % 10;
			C = C % 10;
			if (brojCifaraA <= 0) prvaCifraA = -1;
			else prvaCifraA = A / stepen(10, brojCifaraA);
			if (brojCifaraC <= 0) prvaCifraC = -1;
			else prvaCifraC = C / stepen(10, brojCifaraC);
			if (prvaCifraA == -1 && prvaCifraC == -1) r2 = pom1;
		}
	else
		while (r2 == 0) {
			if (prvaCifraA > prvaCifraB) r2 = pom1;
			else if (prvaCifraB > prvaCifraA) r2 = pom2;
			brojCifaraA--;
			brojCifaraB--;
			A = A % 10;
			B = B % 10;
			if (brojCifaraB <= 0) prvaCifraB = -1;
			else prvaCifraB = B / stepen(10, brojCifaraB);
			if (brojCifaraA <= 0) prvaCifraA = -1;
			else prvaCifraA = A / stepen(10, brojCifaraA);
			if (prvaCifraB == 0 && prvaCifraB == 0) r2 = pom1;
		}
	if (r1 == pom1 && r2 == pom2) r3 = pom3;
	else if (r1 == pom1 && r2 == pom3) r3 = pom2;
	else if (r1 == pom2 && r2 == pom3) r3 = pom1;
	else if (r1 == pom2 && r2 == pom1) r3 = pom3;
	else if (r1 == pom3 && r2 == pom2) r3 = pom1;
	else r3 = pom2;
	cout << r1 << r2 << r3;
}